---@meta

---@class ABP_StreetLamp01_Template_C : AB1GameObject
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SpotLight USpotLightComponent
---@field InteractionSlot UB1SlotComponent
---@field StaticMesh UStaticMeshComponent
---@field LFMaterial UMaterialInstanceDynamic
---@field LFNonGIMaterial UMaterialInstanceDynamic
---@field NonGILightOffset FVector
local ABP_StreetLamp01_Template_C = {}

function ABP_StreetLamp01_Template_C:ReceiveBeginPlay() end
---@param GlobalIlluminationQuality int32
function ABP_StreetLamp01_Template_C:ReceiveGameOptionChanged(GlobalIlluminationQuality) end
---@param EntryPoint int32
function ABP_StreetLamp01_Template_C:ExecuteUbergraph_BP_StreetLamp01_Template(EntryPoint) end


